> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/reference/legacy/api-abi/misc-contracts/orderbookreserveinterface.md).

# OrderbookReserveInterface

{% hint style="warning" %}
You are referring to the **`Legacy`** version of KyberSwap docs.

For the most updated information, please refer to:

* [**`Classic`**](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/api-abi/misc-contracts/broken-reference/README.md)
* [**`Elastic`**](/reference/legacy/kyberswap-elastic.md)
* [**`Limit Order`**](/kyberswap-solutions/limit-order.md)
* [**`Aggregator`**](/kyberswap-solutions/kyberswap-aggregator.md)
  {% endhint %}

## interface OrderbookReserveInterface

imports OrderListInterface

*Source*: [OrderbookReserveInterface.sol](https://github.com/KyberNetwork/smart-contracts/blob/master/contracts/reserves/orderBookReserve/permissionless/OrderbookReserveInterface.sol)

***

### INDEX[​](https://docs.kyberswap.com/Legacy/api-abi/misc/api_abi-orderbookreserveinterface#index) <a href="#index" id="index"></a>

\<AUTOGENERATED\_TABLE\_OF\_CONTENTS>

### REFERENCE[​](https://docs.kyberswap.com/Legacy/api-abi/misc/api_abi-orderbookreserveinterface#reference) <a href="#reference" id="reference"></a>

#### Functions[​](https://docs.kyberswap.com/Legacy/api-abi/misc/api_abi-orderbookreserveinterface#functions) <a href="#functions" id="functions"></a>

#### `init`[​](https://docs.kyberswap.com/Legacy/api-abi/misc/api_abi-orderbookreserveinterface#init) <a href="#init" id="init"></a>

Initialisation of an orderbook reserve.

***

function **init**() public returns (bool) **Returns:**\ True if orderbook reserve has successfully initialised.\\

#### `kncRateBlocksTrade`[​](https://docs.kyberswap.com/Legacy/api-abi/misc/api_abi-orderbookreserveinterface#kncrateblockstrade) <a href="#kncrateblockstrade" id="kncrateblockstrade"></a>

If KNC depreciates too much, trades are blocked because the staked KNC tokens for active orders are insufficient.

***

function **kncRateBlocksTrade**() public view returns (bool) **Returns:**\ True if orderbook reserve's trades are blocked due to KNC depreciation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kyberswap.com/reference/legacy/api-abi/misc-contracts/orderbookreserveinterface.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
